searchNodes=[{"doc":"Documentation for Mercadopago .","ref":"Mercadopago.html","title":"Mercadopago","type":"module"},{"doc":"Function that returns the Mercadopago token. Examples iex&gt; Mercadopago . get_token ( ) &quot;APP_xxxxxxxxxxxxxxx&quot;","ref":"Mercadopago.html#get_token/0","title":"Mercadopago.get_token/0","type":"function"},{"doc":"Documentation for Mercadopago.API. This module is about the base HTTP functionality","ref":"Mercadopago.API.html","title":"Mercadopago.API","type":"module"},{"doc":"Requests an OAuth token from Mercadopago, returns a tuple containing the token and seconds till expiry. Possible returns: {:ok, data} {:error, reason} Examples iex&gt; Mercadopago.API . create_token ( ) { :ok , { .. } }","ref":"Mercadopago.API.html#create_token/0","title":"Mercadopago.API.create_token/0","type":"function"},{"doc":"Make an HTTP DELETE request to the correct API, adding the authentication required header. Examples iex&gt; Mercadopago.API . delete ( url ) { :ok , { ... } }","ref":"Mercadopago.API.html#delete/1","title":"Mercadopago.API.delete/1","type":"function"},{"doc":"Make an HTTP GET request to the correct API, adding the authentication required header. Possible returns: {:ok, data} {:ok, :not_found} {:ok, :no_content} {:error, :bad_network} {:error, reason} Examples iex&gt; Mercadopago.API . get ( url ) { :ok , { ... } }","ref":"Mercadopago.API.html#get/1","title":"Mercadopago.API.get/1","type":"function"},{"doc":"Make an HTTP POST request to the correct API, adding the authentication required header. Examples iex&gt; Mercadopago.API . post ( url , data ) { :ok , { ... } }","ref":"Mercadopago.API.html#post/2","title":"Mercadopago.API.post/2","type":"function"},{"doc":"Make an HTTP PUT request to the correct API, adding the authentication required header. Examples iex&gt; Mercadopago.API . put ( url , data ) { :ok , { ... } }","ref":"Mercadopago.API.html#put/2","title":"Mercadopago.API.put/2","type":"function"},{"doc":"Documentation for Mercadopago.Config Basically this is just for getting configuration values Examples iex(1)&gt; Mercadopago.Config . get %{ client_id : &quot;MERCADOPAGO_CLIENT_ID&quot; , client_secret : &quot;MERCADOPAGO_CLIENT_SECRET&quot; }","ref":"Mercadopago.Config.html","title":"Mercadopago.Config","type":"module"},{"doc":"Get the configuration object, this reads both the config file and system environment variables. Env vars are first priority, config second. Environment vars: MERCADOPAGO_CLIENT_ID MERCADOPAGO_CLIENT_SECRET Example config.exs sample: config :mercadopago_api , client_id : &quot;MERCADOPAGO_CLIENT_ID&quot; , client_secret : &quot;MERCADOPAGO_CLIENT_SECRET&quot; , Examples iex(1)&gt; Mercadopago.Config . get %{ client_id : &quot;MERCADOPAGO_CLIENT_ID&quot; , client_secret : &quot;MERCADOPAGO_CLIENT_SECRET&quot; }","ref":"Mercadopago.Config.html#get/0","title":"Mercadopago.Config.get/0","type":"function"},{"doc":"Documentation for Mercadopago.Requests.Boxs","ref":"Mercadopago.Requests.Boxs.html","title":"Mercadopago.Requests.Boxs","type":"module"},{"doc":"Create Box docs Examples iex&gt; data = %{ &quot;name&quot; : &quot;First POS&quot; , &quot;fixed_amount&quot; : false , &quot;store_id&quot; : 1234567 , &quot;external_store_id&quot; : &quot;SUC001&quot; , &quot;external_id&quot; : &quot;SUC001POS001&quot; , &quot;category&quot; : 621102 } iex &gt; Mercadopago.Requests.Boxs . create ( data )","ref":"Mercadopago.Requests.Boxs.html#create/1","title":"Mercadopago.Requests.Boxs.create/1","type":"function"},{"doc":"Create Box docs Examples iex&gt; Mercadopago.Requests.Boxs . delete ( &quot;1&quot; )","ref":"Mercadopago.Requests.Boxs.html#delete/1","title":"Mercadopago.Requests.Boxs.delete/1","type":"function"},{"doc":"Search in boxes docs Examples iex&gt; Mercadopago.Requests.Boxs . search ( ) { :ok , %{ paging : %{ limit : 30 , offset : 0 , total : 1 } , results : [ ... ] } }","ref":"Mercadopago.Requests.Boxs.html#search/0","title":"Mercadopago.Requests.Boxs.search/0","type":"function"},{"doc":"Get box docs Examples iex&gt; Mercadopago.Requests.Boxs . show ( &quot;1212121&quot; ) { :ok , %{ date_created : &quot;2020-07-07T15:21:20.000-04:00&quot; , date_last_updated : &quot;2020-09-30T08:09:11.000-04:00&quot; , external_id : &quot;default&quot; , fixed_amount : false , ... }","ref":"Mercadopago.Requests.Boxs.html#show/1","title":"Mercadopago.Requests.Boxs.show/1","type":"function"},{"doc":"Update Box docs Examples iex&gt; data = %{ &quot;name&quot; : &quot;First POS&quot; , &quot;fixed_amount&quot; : false , &quot;category&quot; : 621102 , &quot;store_id&quot; : 1234567 } iex &gt; Mercadopago.Requests.Boxs . update ( data )","ref":"Mercadopago.Requests.Boxs.html#update/2","title":"Mercadopago.Requests.Boxs.update/2","type":"function"},{"doc":"Documentation for Mercadopago.Requests.Identification","ref":"Mercadopago.Requests.Identification.html","title":"Mercadopago.Requests.Identification","type":"module"},{"doc":"Get document types docs Examples iex&gt; Mercadopago.Requests.Identification . search ( ) { :ok , [ %{ id : &quot;CPF&quot; , max_length : 11 , min_length : 11 , name : &quot;CPF&quot; , type : &quot;number&quot; } , %{ id : &quot;CNPJ&quot; , max_length : 14 , min_length : 14 , name : &quot;CNPJ&quot; , type : &quot;number&quot; } ] }","ref":"Mercadopago.Requests.Identification.html#search/0","title":"Mercadopago.Requests.Identification.search/0","type":"function"},{"doc":"Documentation for Mercadopago.Requests.MerchantOrders","ref":"Mercadopago.Requests.MerchantOrders.html","title":"Mercadopago.Requests.MerchantOrders","type":"module"},{"doc":"Create order docs Examples iex&gt; data = %{ &quot;external_reference&quot; : &quot;default&quot; , &quot;preference_id&quot; : &quot;Preference identification&quot; , &quot;payer&quot; : { &quot;id&quot; : 123 , &quot;nickname&quot; : &quot;JOHN&quot; } , &quot;site_id&quot; : &quot;MLA&quot; , &quot;items&quot; : [ { &quot;id&quot; : &quot;item id&quot; , &quot;category_id&quot; : &quot;item category&quot; , &quot;currency_id&quot; : &quot;BRL&quot; , &quot;description&quot; : &quot;item description&quot; , &quot;picture_url&quot; : &quot;item picture&quot; , &quot;quantity&quot; : 1 , &quot;unit_price&quot; : 5 , &quot;title&quot; : &quot;item title&quot; } ] , &quot;application_id&quot; : 10000000000000000 } iex &gt; Mercadopago.Requests.MerchantOrders . create ( data )","ref":"Mercadopago.Requests.MerchantOrders.html#create/1","title":"Mercadopago.Requests.MerchantOrders.create/1","type":"function"},{"doc":"Search in orders docs Examples iex&gt; Mercadopago.Requests.MerchantOrders . search ( ) { :ok , %{ ... , [ ... , shipments : [ ] , shipping_cost : 0 , site_id : &quot;MLB&quot; , sponsor_id : nil , status : &quot;closed&quot; , total_amount : 250.74 } ] , next_offset : 20 , total : 114 }","ref":"Mercadopago.Requests.MerchantOrders.html#search/0","title":"Mercadopago.Requests.MerchantOrders.search/0","type":"function"},{"doc":"Get order docs Examples iex&gt; Mercadopago.Requests.MerchantOrders . show ( &quot;121221&quot; ) { :ok , %{ additional_info : &quot;&quot; , application_id : nil , cancelled : false , collector : %{ } , ... }","ref":"Mercadopago.Requests.MerchantOrders.html#show/1","title":"Mercadopago.Requests.MerchantOrders.show/1","type":"function"},{"doc":"Update order docs Examples iex&gt; data = %{ &quot;external_reference&quot; : &quot;default&quot; , &quot;preference_id&quot; : &quot;Preference identification&quot; , &quot;payer&quot; : { &quot;id&quot; : 123 , &quot;nickname&quot; : &quot;JOHN&quot; } , &quot;site_id&quot; : &quot;MLA&quot; , &quot;items&quot; : [ { &quot;id&quot; : &quot;item id&quot; , &quot;category_id&quot; : &quot;item category&quot; , &quot;currency_id&quot; : &quot;BRL&quot; , &quot;description&quot; : &quot;item description&quot; , &quot;picture_url&quot; : &quot;item picture&quot; , &quot;quantity&quot; : 1 , &quot;unit_price&quot; : 5 , &quot;title&quot; : &quot;item title&quot; } ] , &quot;application_id&quot; : 10000000000000000 } iex&gt; Mercadopago.Requests.MerchantOrders . update ( &quot;12345&quot; , data )","ref":"Mercadopago.Requests.MerchantOrders.html#update/2","title":"Mercadopago.Requests.MerchantOrders.update/2","type":"function"},{"doc":"Documentation for Mercadopago.Requests.Payments","ref":"Mercadopago.Requests.Payments.html","title":"Mercadopago.Requests.Payments","type":"module"},{"doc":"Create payment docs Examples iex&gt; data = %{ &quot;additional_info&quot; : %{ &quot;items&quot; : [ %{ &quot;id&quot; : &quot;MLB2907679857&quot; , &quot;title&quot; : &quot;Point Mini&quot; , &quot;description&quot; : &quot;Producto Point para cobros con tarjetas mediante bluetooth&quot; , &quot;picture_url&quot; : &quot;https://http2.mlstatic.com/resources/frontend/statics/growth-sellers-landings/device-mlb-point-i_medium@2x.png&quot; , &quot;category_id&quot; : &quot;electronics&quot; , &quot;quantity&quot; : 1 , &quot;unit_price&quot; : 58.8 } ] , &quot;payer&quot; : %{ &quot;first_name&quot; : &quot;Test&quot; , &quot;last_name&quot; : &quot;Test&quot; , &quot;phone&quot; : %{ &quot;area_code&quot; : 11 , &quot;number&quot; : &quot;987654321&quot; } , &quot;address&quot; : %{ } } , &quot;shipments&quot; : %{ &quot;receiver_address&quot; : %{ &quot;zip_code&quot; : &quot;12312-123&quot; , &quot;state_name&quot; : &quot;Rio de Janeiro&quot; , &quot;city_name&quot; : &quot;Buzios&quot; , &quot;street_name&quot; : &quot;Av das Nacoes Unidas&quot; , &quot;street_number&quot; : 3003 } } , &quot;barcode&quot; : %{ } } , &quot;description&quot; : &quot;Payment for product&quot; , &quot;external_reference&quot; : &quot;MP0001&quot; , &quot;installments&quot; : 1 , &quot;metadata&quot; : %{ } , &quot;payer&quot; : %{ &quot;entity_type&quot; : &quot;individual&quot; , &quot;type&quot; : &quot;customer&quot; , &quot;identification&quot; : %{ } } , &quot;payment_method_id&quot; : &quot;visa&quot; , &quot;transaction_amount&quot; : 58.8 } iex &gt; Mercadopago.Requests.Payments . create ( data )","ref":"Mercadopago.Requests.Payments.html#create/1","title":"Mercadopago.Requests.Payments.create/1","type":"function"},{"doc":"Get payment methods docs Examples iex&gt; Mercadopago.Requests.Payments . methods ( ) { :ok , [ %{ deferred_capture : &quot;supported&quot; , financial_institutions : [ ] , id : &quot;amex&quot; , max_allowed_amount : 60000 , min_allowed_amount : 0.5 , name : &quot;American Express&quot; , payment_type_id : &quot;credit_card&quot; , processing_modes : [ &quot;aggregator&quot; ] , secure_thumbnail : &quot;https://www.mercadopago.com/org-img/MP3/API/logos/amex.gif&quot; , ... } ] }","ref":"Mercadopago.Requests.Payments.html#methods/0","title":"Mercadopago.Requests.Payments.methods/0","type":"function"},{"doc":"Search in payments docs Examples iex&gt; Mercadopago.Requests.Payments . search ( ) { :ok , [ %{ date_created : &quot;2023-02-10T19:45:48.000-04:00&quot; , sponsor_id : nil , money_release_status : &quot;released&quot; , status : &quot;approved&quot; , date_last_updated : &quot;2023-02-10T19:47:23.000-04:00&quot; , merchant_number : nil , acquirer_reconciliation : [ ] , brand_id : nil , captured : true , order : %{ } , authorization_code : nil , date_of_expiration : nil , ... } ] }","ref":"Mercadopago.Requests.Payments.html#search/0","title":"Mercadopago.Requests.Payments.search/0","type":"function"},{"doc":"Get paid docs Examples iex&gt; Mercadopago.Requests.Payments . show ( &quot;123456789&quot; ) { :ok , %{ date_created : &quot;2023-02-10T19:45:48.000-04:00&quot; , sponsor_id : nil , money_release_status : &quot;released&quot; , status : &quot;approved&quot; , date_last_updated : &quot;2023-02-10T19:47:23.000-04:00&quot; , merchant_number : nil , acquirer_reconciliation : [ ] , brand_id : nil , captured : true , order : %{ } , authorization_code : nil , date_of_expiration : nil , ... } }","ref":"Mercadopago.Requests.Payments.html#show/1","title":"Mercadopago.Requests.Payments.show/1","type":"function"},{"doc":"Update payment docs Examples iex&gt; data = %{ &quot;capture&quot; : true , &quot;metadata&quot; : { } , &quot;status&quot; : &quot;cancelled&quot; , &quot;transaction_amount&quot; : 58.8 } iex &gt; Mercadopago.Requests.Payments . update ( &quot;12345&quot; , data )","ref":"Mercadopago.Requests.Payments.html#update/2","title":"Mercadopago.Requests.Payments.update/2","type":"function"},{"doc":"Documentation for Mercadopago.Requests.Preferences","ref":"Mercadopago.Requests.Preferences.html","title":"Mercadopago.Requests.Preferences","type":"module"},{"doc":"Create preference docs Examples iex&gt; data = %{ &quot;items&quot; : [ %{ &quot;title&quot; : &quot;Dummy Title&quot; , &quot;description&quot; : &quot;Dummy description&quot; , &quot;picture_url&quot; : &quot;http://www.myapp.com/myimage.jpg&quot; , &quot;category_id&quot; : &quot;services&quot; , &quot;quantity&quot; : 1 , &quot;currency_id&quot; : &quot;BRL&quot; , &quot;unit_price&quot; : 10 } ] } iex &gt; Mercadopago.Requests.Preferences . create ( data )","ref":"Mercadopago.Requests.Preferences.html#create/1","title":"Mercadopago.Requests.Preferences.create/1","type":"function"},{"doc":"Search in preferences docs Examples iex&gt; Mercadopago.Requests.Preferences . search ( ) { :ok , %{ &quot;elements&quot; : [ %{ &quot;id&quot; : &quot;202809963-a2201f8d-11cb-443f-adf6-de5a42eed67d&quot; , &quot;client_id&quot; : 6295877106812064 , &quot;collector_id&quot; : 202809963 , &quot;date_created&quot; : &quot;2018-02-02T19:18:51.150Z&quot; , &quot;items&quot; : [ %{ } ] , &quot;marketplace&quot; : &quot;NONE&quot; , &quot;site_id&quot; : &quot;MLA&quot; , &quot;sponsor_id&quot; : 0 } ] , &quot;next_offset&quot; : 1 , &quot;total&quot; : 1 } }","ref":"Mercadopago.Requests.Preferences.html#search/0","title":"Mercadopago.Requests.Preferences.search/0","type":"function"},{"doc":"Get preference docs Examples iex&gt; Mercadopago.Requests.Preferences . show ( &quot;1212121&quot; ) { :ok , %{ &quot;back_urls&quot; : %{ } , &quot;client_id&quot; : 6295877106812064 , &quot;collector_id&quot; : 202809963 , &quot;date_created&quot; : &quot;2018-02-02T19:18:51.150Z&quot; , &quot;id&quot; : &quot;202809963-a2201f8d-11cb-443f-adf6-de5a42eed67d&quot; , &quot;init_point&quot; : &quot;https://www.mercadopago.com/mla/checkout/start?pref_id=202809963-a2201f8d-11cb-443f-adf6-de5a42eed67d&quot; , &quot;items&quot; : [ %{ &quot;id&quot; : &quot;item-ID-1234&quot; , &quot;currency_id&quot; : &quot;$&quot; , &quot;title&quot; : &quot;Practical Granite Shirt&quot; , &quot;picture_url&quot; : &quot;http://placehold.it/350x150&quot; , &quot;description&quot; : &quot;This is my description&quot; , &quot;quantity&quot; : 2 , &quot;unit_price&quot; : 14.5 } ] , &quot;marketplace&quot; : &quot;MP-MKT-6295877106812064&quot; , &quot;marketplace_fee&quot; : 0 , &quot;statement_descriptor&quot; : &quot;MERCADOPAGO&quot; , &quot;payer&quot; : %{ &quot;phone&quot; : %{ &quot;number&quot; : &quot;631.586.0213&quot; } , &quot;address&quot; : %{ &quot;zip_code&quot; : 76336 , &quot;street_name&quot; : &quot;Marjory Stream&quot; , &quot;street_number&quot; : 941 } , &quot;identification&quot; : %{ &quot;number&quot; : 12345678 , &quot;type&quot; : &quot;DNI&quot; } } , &quot;payment_methods&quot; : %{ &quot;excluded_payment_methods&quot; : [ %{ } ] , &quot;excluded_payment_types&quot; : [ %{ } ] } , &quot;sandbox_init_point&quot; : &quot;https://sandbox.mercadopago.com/mla/checkout/pay?pref_id=202809963-a2201f8d-11cb-443f-adf6-de5a42eed67d&quot; , &quot;shipments&quot; : %{ &quot;receiver_address&quot; : { } } }","ref":"Mercadopago.Requests.Preferences.html#show/1","title":"Mercadopago.Requests.Preferences.show/1","type":"function"},{"doc":"Update Preference docs Examples iex&gt; data = %{ &quot;items&quot; : [ %{ &quot;title&quot; : &quot;Dummy Title&quot; , &quot;description&quot; : &quot;Dummy description&quot; , &quot;picture_url&quot; : &quot;http://www.myapp.com/myimage.jpg&quot; , &quot;category_id&quot; : &quot;car_electronics&quot; , &quot;quantity&quot; : 1 , &quot;currency_id&quot; : &quot;U$&quot; , &quot;unit_price&quot; : 10 } ] , &quot;payer&quot; : %{ &quot;phone&quot; : %{ } , &quot;identification&quot; : %{ } , &quot;address&quot; : %{ } } , &quot;payment_methods&quot; : %{ &quot;excluded_payment_methods&quot; : [ %{ } ] , &quot;excluded_payment_types&quot; : [ %{ } ] } , &quot;shipments&quot; : %{ &quot;free_methods&quot; : [ %{ } ] , &quot;receiver_address&quot; : %{ } } , &quot;back_urls&quot; : %{ } , &quot;differential_pricing&quot; : %{ } , &quot;tracks&quot; : [ %{ &quot;type&quot; : &quot;google_ad&quot; } ] , &quot;metadata&quot; : %{ } } iex &gt; Mercadopago.Requests.Preferences . update ( &quot;12345&quot; , data )","ref":"Mercadopago.Requests.Preferences.html#update/2","title":"Mercadopago.Requests.Preferences.update/2","type":"function"}]